#include <string.h>
#include <stdio.h>
char string[50] = "A string\tof ,,tokens\nand some  tokens";                                      more tokens";
char seps[5] = " ,\t\n";
char*token;
int main( void )
{ token = strtok( string, " ,\t\n" );
  while( token != NULL )
    {  printf( " %s ", token );
       token = strtok( NULL, " ,\t\n");
    }
   return 0;
}
